gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.PasswordEntryBuffer

Contents

- Exported types
- Methods
  - new

Description

A `GtkEntryBuffer` that locks the underlying memory to prevent it from being swapped to disk.

`GtkPasswordEntry` uses a `GtkPasswordEntryBuffer`.

Since: 4.4

Synopsis

- newtype PasswordEntryBuffer = PasswordEntryBuffer (ManagedPtr PasswordEntryBuffer)
- class (GObject o, IsDescendantOf PasswordEntryBuffer o) => IsPasswordEntryBuffer o
- toPasswordEntryBuffer :: (MonadIO m, IsPasswordEntryBuffer o) => o -> m PasswordEntryBuffer
- passwordEntryBufferNew :: (HasCallStack, MonadIO m) => m PasswordEntryBuffer

# Exported types

newtype PasswordEntryBuffer Source #

Memory-managed wrapper type.

Constructors

PasswordEntryBuffer (ManagedPtr PasswordEntryBuffer) |

#### Instances

Instances details

Eq PasswordEntryBuffer Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer Methods (==) :: PasswordEntryBuffer -> PasswordEntryBuffer -> Bool Source # (/=) :: PasswordEntryBuffer -> PasswordEntryBuffer -> Bool Source #
GObject PasswordEntryBuffer Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer
ManagedPtrNewtype PasswordEntryBuffer Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer Methods toManagedPtr :: PasswordEntryBuffer -> ManagedPtr PasswordEntryBuffer Source #
TypedObject PasswordEntryBuffer Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer Methods glibType :: IO GType Source #
HasParentTypes PasswordEntryBuffer Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer
IsGValue (Maybe PasswordEntryBuffer) Source # | Convert `PasswordEntryBuffer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PasswordEntryBuffer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PasswordEntryBuffer) Source #
type ParentTypes PasswordEntryBuffer Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer type ParentTypes PasswordEntryBuffer = '[EntryBuffer, Object]

class (GObject o, IsDescendantOf PasswordEntryBuffer o) => IsPasswordEntryBuffer o Source #

Type class for types which can be safely cast to `PasswordEntryBuffer`, for instance with `toPasswordEntryBuffer`.

#### Instances

Instances details

(GObject o, IsDescendantOf PasswordEntryBuffer o) => IsPasswordEntryBuffer o Source # |
Instance details Defined in GI.Gtk.Objects.PasswordEntryBuffer

toPasswordEntryBuffer :: (MonadIO m, IsPasswordEntryBuffer o) => o -> m PasswordEntryBuffer Source #

Cast to `PasswordEntryBuffer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, deleteText, emitDeletedText, emitInsertedText, forceFloating, freezeNotify, getv, insertText, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getBytes, getData, getLength, getMaxLength, getProperty, getQdata, getText.

#### Setters

setData, setDataFull, setMaxLength, setProperty, setText.

## new

passwordEntryBufferNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m PasswordEntryBuffer | Returns: the newly created instance

Creates a new `GtkEntryBuffer` using secure memory allocations.